//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: xyY.inl
//      Краткое описание: color space - xyY
//

namespace math
{
	inline xyY::xyY()
	{
		x = Y = 0;
		// если сразу после последует вызов convertToXYZ
		y = 1;
	};

	inline xyY::xyY(const float x, const float y, const float Y)
	{
		this->x = x;
		this->y = y;
		this->Y = Y;
	};

	inline xyY::xyY(const xyY& color)
	{
		x = color.x;
		y = color.y;
		Y = color.Y;
	};

	inline xyY::xyY(const Vect3& vect)
	{
		vec = vect;
	};

	inline xyY::~xyY()
	{

	};

	inline XYZ xyY::convertToXYZ() 
	{
		float Yinvy = Y/y;
		float xinvyY = x*Yinvy;
		return XYZ(xinvyY, Y, Yinvy - xinvyY - Y);
	};
};

